org.eclipse.jgit.errors

## Class LockFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.LockFailedException

All Implemented Interfaces:
  Serializable

    public class LockFailedException
    extends IOException

An exception occurring when a file cannot be locked

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockFailedException(File file)` Construct a CannotLockException for the given file
`LockFailedException(File file, String message)` Construct a CannotLockException for the given file and message

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `getFile()` Get the file that could not be locked

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockFailedException

    public LockFailedException(File file,
                               String message)

Construct a CannotLockException for the given file and message

Parameters:
  `file` - file that could not be locked
  `message` - exception message

#### LockFailedException

    public LockFailedException(File file)

Construct a CannotLockException for the given file

Parameters:
  `file` - file that could not be locked

### Method Detail

#### getFile

    public File getFile()

Get the file that could not be locked

Returns:
  file